curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/entity-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"first_name": "<string>",
"login": "<string>",
"email": "jsmith@example.com",
"last_name": "Peters",
"phone": "<string>",
"title": "Finance Manager"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"login": "<string>",
"status": "active",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"userpic_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Create a new entity user from the specified values.
curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/entity-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"first_name": "<string>",
"login": "<string>",
"email": "jsmith@example.com",
"last_name": "Peters",
"phone": "<string>",
"title": "Finance Manager"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"login": "<string>",
"status": "active",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"userpic_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
First name
255"Casey"
255An entity user business email
Last name
255"Peters"
An entity user phone number in the international format
Title
255"Finance Manager"
Successful Response
UUID entity user ID
UTC datetime
UTC datetime
Login
"caseyp"
record status, 'active' by default
active, deleted An entity user business email
First name
Last name
An entity user phone number in the international format
Was this page helpful?